<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Number <code>toString()</code> method in JavaScript</h2>
        <hr />

        <!-- JavaScript Number toString() Method Tutorial -->
        <div id="title">
			<h4 class="text-info">Definition</h4>
			<ul>
				<li>The <code>toString()</code> method in javascript converts a number to a string.</li>
				<li>This method accepts an optional <em>radix</em> argument.
					<ul>
						<li>This argument represents a numeric value and must be between 2 and 36.
							<ul>
								<li><code>2</code>: The number will be shown as a <em>Binary</em> value.</li>
								<li><code>8</code>: The number will be shown as an <em>Octal</em> value.</li>
								<li><code>16</code>: The number will be shown as a <em>Hexadecimal</em> value.</li>
							</ul>
						</li>
					</ul>
				</li>
			</ul>
			<div>&nbsp;</div>
			
			<h4 class="text-info">Usage</h4>
            <form id="myform">
                <input id="my_number" type="number" class="form-control" placeholder="Enter number . . ." style="width: 220px;" />
                <small>No <em>radix</em> parameter is passed to the <code>toString()</code> method.</small>
				<div>&nbsp;</div>

				<button id="btn_submit" type="button" class="btn btn-success" onclick="myfunction();">Try It</button>
            </form>
			<div>&nbsp;</div>
			
			<div id="result"></div>
        </div>
    </div>
    <script>
		// JavaScript function to display the formatted number.
		function myfunction() {
			var num = document.getElementById("my_number").value;
			
			var res = num.toString();
			document.getElementById("result").innerHTML = "Formatted  number is= " + res;
		}
    </script>
</body>

</html>